CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-1931

The HTTP/XMLRPC server in Ruby before 1.8.2 uses blocking sockets, which allows attackers to cause a denial of service (blocked connections) via a large amount of data.
Publish Date : 2006-04-20 Last Update Date : 2010-08-21
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.0
Confidentiality Impact None (There is no impact to the confidentiality of the system.)
Integrity Impact None (There is no impact to the integrity of the system)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity Low (Specialized access conditions or extenuating circumstances do not exist. Very little knowledge or skill is required to exploit. )
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access None
Vulnerability Type(s) Denial Of Service
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat moderate 2006-04-12 2005-06-30
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
CVE-2006-1931 oval:org.opensuse.security:def:20061931 unix
RHSA-2006:0427: ruby security update (Moderate) oval:com.redhat.rhsa:def:20060427 unix
The HTTP/XMLRPC server in Ruby before 1.8.2 uses blocking sockets, which allows attackers to cause a denial of service (... oval:org.mitre.oval:def:11100 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-1931

# Product Type Vendor Product Version Update Edition Language
1 Application Yukihiro Matsumoto Ruby 1.6 Version Details Vulnerabilities
2 Application Yukihiro Matsumoto Ruby 1.6.1 Version Details Vulnerabilities
3 Application Yukihiro Matsumoto Ruby 1.6.2 Version Details Vulnerabilities
4 Application Yukihiro Matsumoto Ruby 1.6.3 Version Details Vulnerabilities
5 Application Yukihiro Matsumoto Ruby 1.6.4 Version Details Vulnerabilities
6 Application Yukihiro Matsumoto Ruby 1.6.5 Version Details Vulnerabilities
7 Application Yukihiro Matsumoto Ruby 1.6.6 Version Details Vulnerabilities
8 Application Yukihiro Matsumoto Ruby 1.6.7 Version Details Vulnerabilities
9 Application Yukihiro Matsumoto Ruby 1.8 Version Details Vulnerabilities
10 Application Yukihiro Matsumoto Ruby 1.8.1 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Yukihiro Matsumoto Ruby 10

- References For CVE-2006-1931

https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=189540 CONFIRM
ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.2-xmlrpc-dos-1.patch
http://secunia.com/advisories/16904
SECUNIA 16904
http://secunia.com/advisories/19772
SECUNIA 19772
http://secunia.com/advisories/20064
SECUNIA 20064
http://secunia.com/advisories/20024
SECUNIA 20024
http://secunia.com/advisories/19804
SECUNIA 19804
http://www.debian.org/security/2006/dsa-1157
DEBIAN DSA-1157
http://securitytracker.com/id?1015978
SECTRACK 1015978
http://secunia.com/advisories/21657
SECUNIA 21657
http://secunia.com/advisories/20457
SECUNIA 20457
http://www.redhat.com/support/errata/RHSA-2006-0427.html
REDHAT RHSA-2006:0427
http://www.gentoo.org/security/en/glsa/glsa-200605-11.xml
GENTOO GLSA-200605-11
http://blade.nagaokaut.ac.jp/cgi-bin/scat.rb/ruby/ruby-dev/27787
http://www.mandriva.com/security/advisories?name=MDKSA-2006:079
MANDRIVA MDKSA-2006:079
http://www.novell.com/linux/security/advisories/2006-06-02.html
SUSE SUSE-SR:2006:012
http://xforce.iss.net/xforce/xfdb/26102
XF ruby-socket-dos(26102)
http://www.ubuntulinux.org/support/documentation/usn/usn-273-1
UBUNTU USN-273-1
http://www.securityfocus.com/bid/17645
BID 17645 Yukihiro Matsumoto Ruby XMLRPC Server Denial of Service Vulnerability Release Date:2006-12-14
ftp://ftp.ruby-lang.org/pub/ruby/1.8/ruby-1.8.2-webrick-dos-1.patch
http://www.osvdb.org/24972
OSVDB 24972

- Metasploit Modules Related To CVE-2006-1931

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.